import bb.cascades 1.3
//import com.playcloud.browser 1.0

// z30: 720x1280
//  active frame: 319 x 437
//  header: 52
//  3 items: 319 x 127
//  divider: 2
// => 143

// z10: 768x1280
//  active frame: 334 x 396
//  header: 62
//  3 items: 334 x 112
//  divider: 2
// => 130

// q10: 720x720
//  active frame: 310 x 211
//  2 items: 310 x 104
//  divider: 2
// => 105

Container {
    horizontalAlignment: HorizontalAlignment.Fill
	verticalAlignment: VerticalAlignment.Fill

    background: Color.create("#ff242424")

    layout: StackLayout {
		orientation: LayoutOrientation.TopToBottom
	}

    layoutProperties: StackLayoutProperties {
    }

    ListView {
		id: coverItemList
		objectName: "coverItemList"

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

        scrollIndicatorMode: ScrollIndicatorMode.None
        
        listItemComponents: [
			ListItemComponent {
				CoverItem {
				}
			}
		]
    }
}

