import bb.cascades 1.3


Container {
	id: orderForm

	leftPadding: 10.0
	rightPadding: leftPadding
	topPadding: 5.0
	bottomPadding: 5.0

    horizontalAlignment: HorizontalAlignment.Fill

	layout: StackLayout {
		orientation: LayoutOrientation.TopToBottom
	}

	DropDown {
		id: sortDropDown
		objectName: "sortDropDown"

		title: qsTr("Sort") + Retranslate.onLanguageChanged

		horizontalAlignment: HorizontalAlignment.Fill

		layoutProperties: StackLayoutProperties {
		}

		Option {
			text: qsTr("Name") + Retranslate.onLanguageChanged
		}
		Option {
			text: qsTr("Date") + Retranslate.onLanguageChanged
		}
		Option {
			text: qsTr("Size") + Retranslate.onLanguageChanged
		}
		Option {
			text: qsTr("Type") + Retranslate.onLanguageChanged
		}

		onSelectedIndexChanged: {
			orderForm.visible = false
		}
	}

	DropDown {
		id: orderDropDown
		objectName: "orderDropDown"

		title: qsTr("Order") + Retranslate.onLanguageChanged

		horizontalAlignment: HorizontalAlignment.Fill

		layoutProperties: StackLayoutProperties {
		}

		Option {
			text: qsTr("Ascending") + Retranslate.onLanguageChanged
		}
		Option {
			text: qsTr("Descending") + Retranslate.onLanguageChanged
		}

		onSelectedIndexChanged: {
			orderForm.visible = false
		}
	}
}

