import bb.cascades 1.3

Container {
	preferredWidth: 334.0
//	maxHeight: 105.0
	maxHeight: 130.0
	
	horizontalAlignment: HorizontalAlignment.Fill
	verticalAlignment: VerticalAlignment.Fill

	layout: DockLayout {
	}

	ImageView {
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill
		
		imageSource: "asset:///images/cover/bgitem.png"
		scalingMethod: ScalingMethod.Fill
	}

	Container {
		layout: StackLayout {
			orientation: LayoutOrientation.LeftToRight
		}

		layoutProperties: StackLayoutProperties {
		}

		Container {
			leftPadding: 10.0
			rightPadding: 10.0

			minWidth: 109.0
			
			verticalAlignment: VerticalAlignment.Fill

			layout: DockLayout {
			}

			ImageView {
				verticalAlignment: VerticalAlignment.Center
				horizontalAlignment: HorizontalAlignment.Center
				
				imageSource: "asset:///images/cover/bgicon.png"
				scalingMethod: ScalingMethod.AspectFit
			}
	
			ImageView {
				verticalAlignment: VerticalAlignment.Center
				horizontalAlignment: HorizontalAlignment.Center
				
				imageSource: ListItemData.icon
				scalingMethod: ScalingMethod.AspectFit
			}
		}

		Container {
			verticalAlignment: VerticalAlignment.Fill

			layout: StackLayout {
				orientation: LayoutOrientation.TopToBottom
			}
	
			layoutProperties: StackLayoutProperties {
			}

			Container {
				horizontalAlignment: HorizontalAlignment.Left
				verticalAlignment: VerticalAlignment.Fill

				layout: DockLayout {
				}

				layoutProperties: StackLayoutProperties {
					spaceQuota: 2.0
				}

				Label {
					text: ListItemData.title

					horizontalAlignment: HorizontalAlignment.Left
					verticalAlignment: VerticalAlignment.Top

					textStyle {
						fontSize: FontSize.PointValue
						fontSizeValue: 8.0
						fontWeight: FontWeight.W500
						color: Color.create("#ff038ebc")
					}
				}

				Label {
					text: ListItemData.storageinfo + Retranslate.onLanguageChanged

					horizontalAlignment: HorizontalAlignment.Left
					verticalAlignment: VerticalAlignment.Bottom

					textStyle {
						fontSize: FontSize.PointValue
						fontSizeValue: 6.0
						color: Color.create("#ffdddddd")
					}
				}
			}
			
			Container {
				horizontalAlignment: HorizontalAlignment.Fill
				verticalAlignment: VerticalAlignment.Fill

				layout: StackLayout {
					orientation: LayoutOrientation.LeftToRight
				}
		
				layoutProperties: StackLayoutProperties {
					spaceQuota: 1.0
				}

				ImageView {
					verticalAlignment: VerticalAlignment.Center

					imageSource: "asset:///images/cover/star.png"
					scalingMethod: ScalingMethod.AspectFit
				}

				Label {
					text: ListItemData.nbrbookmarks

					verticalAlignment: VerticalAlignment.Center

					textStyle {
						fontSize: FontSize.PointValue
						fontSizeValue: 5.0
						color: Color.create("#ffffffff")
					}
				}

				ImageView {
					verticalAlignment: VerticalAlignment.Center

					imageSource: "asset:///images/cover/sync.png"
					scalingMethod: ScalingMethod.AspectFit
				}

				Label {
					text: ListItemData.nbrsyncfolders

					verticalAlignment: VerticalAlignment.Center

					textStyle {
						fontSize: FontSize.PointValue
						fontSizeValue: 5.0
						color: Color.create("#ffffffff")
					}
				}

//				ImageView {
//					verticalAlignment: VerticalAlignment.Center
//
//					imageSource: "asset:///images/cover/print.png"
//					scalingMethod: ScalingMethod.AspectFit
//				}
			}
		}
	}
}
