import bb.cascades 1.3

Page {
    titleBar: TitleBar {
        title: qsTr("Channel") + Retranslate.onLanguageChanged
    }
	
	content: Container {
		background: Color.create('#000000')

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		layout: DockLayout {
		}

        ScrollView {
            scrollViewProperties.pinchToZoomEnabled: false
            scrollViewProperties.scrollMode: ScrollMode.Vertical

            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                
                layout: StackLayout {
                }

                ImageView {
	                imageSource: "asset:///images/help/channel.png"
	                scalingMethod: ScalingMethod.AspectFit
	                topPadding: 50.0
	                bottomPadding: 50.0
	                preferredWidth: 700.0
	                preferredHeight: 700.0
	                horizontalAlignment: HorizontalAlignment.Center
	            }
	            
	            Container {
	                leftPadding: 20.0
	                rightPadding: 20.0
	                
                    horizontalAlignment: HorizontalAlignment.Center

	                layout: StackLayout {
	                }

		            TextArea {
                    	editable: false
		                text: qsTr("PlayCloud on BlackBerry Channel") + Retranslate.onLanguageChanged

		                textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                }
		            }

		            TextArea {
                    	editable: false
		                text: qsTr("PIN code: C00097A2F") + Retranslate.onLanguageChanged

                        textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                    fontStyle: FontStyle.Italic
		                }
		            }
	            }
	        }
        }
    }
}
