import bb.cascades 1.3

Page {
    titleBar: TitleBar {
        title: qsTr("Policy") + Retranslate.onLanguageChanged
    }
	
	content: Container {
		background: Color.create('#000000')

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		layout: DockLayout {
		}

        ScrollView {
            scrollViewProperties.pinchToZoomEnabled: false
            scrollViewProperties.scrollMode: ScrollMode.Vertical

            Container {
                horizontalAlignment: HorizontalAlignment.Fill

                layout: StackLayout {
                }

	            Label {
	                text: qsTr("Privacy policy") + Retranslate.onLanguageChanged
	                
	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.BodyText
	                    fontWeight: FontWeight.Bold
	                }
	            }

                TextArea {
                    editable: false
                    text: qsTr(
						"Strictly no information is collected and transmitted by the application."
						) + Retranslate.onLanguageChanged
                        
	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }

                TextArea {
                    editable: false
                    text: qsTr(
						"PlayCloud used, if possible, a token system with Clouds services, and therefore " +
						"has no knowledge of your credentials. These informations are stored on your device."
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
  
                TextArea {
                    editable: false
                    text: qsTr(
						"ProgWeb can not be held responsible for the information you post using the application " +
						"on different Clouds services which PlayCloud allows you to connect. At last, all " +
						"messages sent on social networks are the responsibility of the user."
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
  
                TextArea {
                    editable: false
                    text: qsTr(
						"At any time, you can remove access to PlayCloud from the Cloud web administration "+
						"or through the application itself."
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
            }
        }
    }
}
