import bb.cascades 1.3

import LocaleHandler 1.0

Container {
    horizontalAlignment: HorizontalAlignment.Fill

    layout: DockLayout {
    }

    attachedObjects: [
        LocaleHandler {
            onLanguageChanged: {
            }
        }
    ]

    ImageView {
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill

        imageSource: "asset:///images/bgdropdown.amd"
        scalingMethod: ScalingMethod.Fill
    }

    DropDown {
		id: workspacesDropDown
		objectName: "workspacesDropDown"

		preferredWidth: 1440

        title: qsTr("My Workspaces") + Retranslate.onLanguageChanged

        horizontalAlignment: HorizontalAlignment.Center

        layoutProperties: StackLayoutProperties {
        }
    }
}
