import bb.cascades 1.3
import "Items"

//import myLibrary 1.0

Container {
    id: directoriesContainer
    
    background: Color.create("#1f2225")
    visible: (OrientationSupport.orientation == UIOrientation.Landscape)
    preferredWidth: 400
    minWidth: 400.0

    verticalAlignment: VerticalAlignment.Fill
    horizontalAlignment: HorizontalAlignment.Left;

	layout: StackLayout {
	    orientation: LayoutOrientation.TopToBottom
	}

    layoutProperties: StackLayoutProperties {
    }

	attachedObjects: [
		GroupDataModel {
			id: groupDataModel 
			objectName: "groupDataModel"

			sortingKeys: ["name"]

			grouping: ItemGrouping.None
		},

	    OrientationHandler {
			onOrientationAboutToChange: {
				if (orientation == UIOrientation.Landscape) {
					directoriesContainer.visible = true;
				}
				else {
					directoriesContainer.visible = false;
				}
			}
			onOrientationChanged: { 
			}
			onDisplayDirectionChanged: {
			}
		}       
	]

    ListView {
        id: directoriesList
        objectName: "directoriesList"

		verticalAlignment: VerticalAlignment.Fill
		horizontalAlignment: HorizontalAlignment.Fill;

        layoutProperties: StackLayoutProperties {
        }
    
        dataModel: groupDataModel
//        selectionMode: SelectionMode.Single
                        
        listItemComponents: [
            ListItemComponent {
                type: "item"
                DirectoryItem {
                }
            }
        ]
    
        onSelectionChanged: {
            if (selected) {
// TODO
//              // When an item is selected we push the recipe Page in the chosenItem file attribute.   
//              var chosenItem = dataModel.data (indexPath);
//              nav.deprecatedPushQmlByString (chosenItem.file);
            }
        }
    }
}

