import bb.cascades 1.3

// Category divider item. 

Container {
    preferredWidth: 1440
    topPadding: 0.0
    bottomPadding: 0.0
    
	horizontalAlignment: HorizontalAlignment.Fill

    layout: DockLayout {
    }

    ImageView {
		verticalAlignment: VerticalAlignment.Fill
		horizontalAlignment: HorizontalAlignment.Fill

        imageSource: "asset:///images/background_category.png"
    }
    
    Container {
//        background: Color.create("#484848")

		topPadding: 10.0
		bottomPadding: topPadding;
		leftPadding: topPadding;

		horizontalAlignment: HorizontalAlignment.Fill

        layout: DockLayout {
        }

        // The category title.
        opacity: 1.0

        Label {
            horizontalAlignment: HorizontalAlignment.Center

            text: {
//                if(ListItemData.category) {
//                    // If the data is loaded from XML a property is used.
//                    ListItemData.category
//                } else {
//                    // If it is loaded from JSON and set in a GroupDataModel the header info in ListItemData
                    ListItemData.substring(2)
//                }
            }

            textStyle {
                fontSize: FontSize.Small
                fontWeight: FontWeight.Normal
                textAlign: TextAlign.Center
                color: Color.create("#d1d5d9")
            }
        }
    }

    // Signal handler for list item selection.
    ListItem.onSelectionChanged: {
		if (ListItem.indexPath.length == 1)
			ListItem.view.select(ListItem.indexPath, false);
    }
}
