import bb.cascades 1.3

Container {
	id: dockicon

	property string text: ""
	property string image: "default-image.png"

	preferredWidth: 150.0
	preferredHeight: 150.0
                    
	leftPadding: 10.0
	topPadding: 10.0
	rightPadding: 10.0
	bottomPadding: 15.0

	horizontalAlignment: HorizontalAlignment.Center
	verticalAlignment: VerticalAlignment.Center

	layout: StackLayout {
		orientation: LayoutOrientation.TopToBottom
    }
	
    layoutProperties: StackLayoutProperties {
        spaceQuota: 1.0
    }
    
    ImageView {
		imageSource: dockicon.image 
           
		preferredWidth: 80.0
		scalingMethod: ScalingMethod.AspectFit

		leftMargin: 25.0
		bottomMargin: 5.0
		rightMargin: 25.0

		verticalAlignment: VerticalAlignment.Fill
		horizontalAlignment: HorizontalAlignment.Center

		layoutProperties: StackLayoutProperties {
        }
	}
	
	Label {
		text: dockicon.text

		leftMargin: 10.0
		topMargin: 5.0
		rightMargin: 10.0

		horizontalAlignment: HorizontalAlignment.Center

		textStyle {
			base: SystemDefaults.TextStyles.SmallText
			color: Color.White
		}

		layoutProperties: StackLayoutProperties {
		}
	}
}
