import bb.cascades 1.3
import "Items"
import "Components"

Tab {
    title: qsTr("Transfers") + Retranslate.onLanguageChanged
    description: qsTr("No active transfer")

    imageSource: "asset:///images/dock/transferts.png"

    NavigationPane {
	    id: navigationPane
		objectName: "navigationPane"
	    backButtonsVisible: true

		Page {
			titleBar: TitleBar {
				title: qsTr("Transfers") + Retranslate.onLanguageChanged
			}
		
			content: Container {
				layout: DockLayout {
				}
			
//				ImageView {
//					id: background
//					
//					verticalAlignment: VerticalAlignment.Fill
//					horizontalAlignment: HorizontalAlignment.Fill
//		
//					imageSource: (OrientationSupport.orientation == UIOrientation.Landscape) ? 
//						"asset:///images/background_landscape.png" : "asset:///images/background_portrait.png" 
//				}
			
				TasksListContainer {
					id: tasks
					objectName: "tasks"
				}
		
//				attachedObjects: [
//				   OrientationHandler {
//						onOrientationAboutToChange: {
//							if (orientation == UIOrientation.Landscape) {
//								background.imageSource = "asset:///images/background_landscape.png"
//							}
//							else {
//								background.imageSource = "asset:///images/background_portrait.png"
//							}
//						}
//						onOrientationChanged: { 
//						}
//						onDisplayDirectionChanged: {
//						}
//					}       
//				]

				opacity: 1.0
			}
		
			actions: [
				ActionItem {
					title: qsTr("Clear") + Retranslate.onLanguageChanged
					imageSource: "asset:///images/dock/clear.png"
//					ActionBar.placement: ActionBarPlacement.OnBar
					ActionBar.placement: ActionBarPlacement.Signature
					 
					onTriggered: {
						tasks.clear();
					}
				}
			]
		
			actionBarVisibility: ChromeVisibility.Visible
		}
	}
}    
